| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_in_place_is_dir Class Reference
API

returns true if the first entry is a cat_directory (whatever is the second) More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_in_place_is_dir (const crit_in_place_is_dir &ref)=default
| crit_in_place_is_dir (crit_in_place_is_dir &&ref) noexcept=default
crit_in_place_is_dir & | operator= (const crit_in_place_is_dir &ref)=default
crit_in_place_is_dir & | operator= (crit_in_place_is_dir &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if the first entry is a cat_directory (whatever is the second)

Definition at line 103 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_is_dir()

libdar::crit_in_place_is_dir::crit_in_place_is_dir | ( |  | ) |
| inline

Definition at line 106 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_in_place_is_dir::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 114 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_in_place_is_dir::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp